| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::StfVhr Class Reference

Class for containing Swath variable header. More...

List of all members.

## Public Member Functions
| StfVhr ()
| Empty Constructor.
| StfVhr (string stfNam, string refOSF, string refSDF, long swathTyp, long swathPointTyp, double timStep, long refrMode, double freq, long numP, const vector< double > &alt, bool geomFlag, long repCycl, long cyclLength, double meanlstDrift, long absOrb, long orbit0, long orbit1, double *pos, double *vel)
| Constructor with parameters.
| StfVhr (const StfVhr &stfVhr)
| Copy constructor.
| ~StfVhr ()
| Destructor.
void | operator= (const StfVhr &stfVhr)
| Operator=.
## Public Attributes
string | stfName
| Swath template file name.
string | ReferenceOSF
| Reference Orbit Scenario file.
string | ReferenceSDF
| Reference swath definition file.
long | swathType
| Swath type (SwathTypeEnum : open/close ).
long | swathPointType
| Swath point type (SwathPointTypeEnum: geodetic/inertial).
double | timeStep
long | refractionMode
| Refraction model (TargetRayEnum).
double | frequency
| Frequency (Hz).
long | numPoints
| Number of points in the instantaneous swath.
vector< double > | altitude
| List of altitudes.
bool | geometryFlag
| true if the geometry of the orbit is defined. false if the OSV.
long | repCycle
long | cycleLength
double | mlstDrift
long | absOrbit
long | orbitStart
| Start orbit of validity range.
long | orbitStop
| Stop orbit of validity range.
double | position [3]
double | velocity [3]

## Detailed Description

Class for containing Swath variable header.

## Constructor & Destructor Documentation

EECFI::StfVhr::StfVhr | ( |  | ) |

Empty Constructor.

References ReferenceOSF, ReferenceSDF, and stfName.

EECFI::StfVhr::StfVhr | ( | string | stfNam,
|  | string | refOSF,
|  | string | refSDF,
|  | long | swathTyp,
|  | long | swathPointTyp,
|  | double | timStep,
|  | long | refrMode,
|  | double | freq,
|  | long | numP,
|  | const vector< double > & | alt,
|  | bool | geomFlag,
|  | long | repCycl,
|  | long | cyclLength,
|  | double | meanlstDrift,
|  | long | absOrb,
|  | long | orbit0,
|  | long | orbit1,
|  | double * | pos,
|  | double * | vel |
| ) |  |  |

Constructor with parameters.

References absOrbit, altitude, cycleLength, frequency, geometryFlag, mlstDrift, numPoints, orbitStart, orbitStop, position, ReferenceOSF, ReferenceSDF, refractionMode, repCycle, stfName, swathPointType, swathType, timeStep, and velocity.

EECFI::StfVhr::StfVhr | ( | const StfVhr & | stfVhr | ) |

Copy constructor.

Parameters:

  | stfVhr | Object to be copied.

EECFI::StfVhr::~StfVhr | ( |  | ) |

Destructor.

## Member Function Documentation

void EECFI::StfVhr::operator= | ( | const StfVhr & | stfVhr | ) |

Operator=.

Parameters:

  | stfVhr | Object to be copied.

References absOrbit, altitude, cycleLength, frequency, geometryFlag, mlstDrift, numPoints, orbitStart, orbitStop, position, ReferenceOSF, ReferenceSDF, refractionMode, repCycle, stfName, swathPointType, swathType, timeStep, and velocity.

## Member Data Documentation

long EECFI::StfVhr::absOrbit

Referenced by operator=(), and StfVhr().

vector<double> EECFI::StfVhr::altitude

List of altitudes.

Referenced by operator=(), and StfVhr().

long EECFI::StfVhr::cycleLength

Referenced by operator=(), and StfVhr().

double EECFI::StfVhr::frequency

Frequency (Hz).

Referenced by operator=(), and StfVhr().

bool EECFI::StfVhr::geometryFlag

true if the geometry of the orbit is defined. false if the OSV.

Referenced by operator=(), and StfVhr().

double EECFI::StfVhr::mlstDrift

Referenced by operator=(), and StfVhr().

long EECFI::StfVhr::numPoints

Number of points in the instantaneous swath.

Referenced by operator=(), and StfVhr().

long EECFI::StfVhr::orbitStart

Start orbit of validity range.

Referenced by operator=(), and StfVhr().

long EECFI::StfVhr::orbitStop

Stop orbit of validity range.

Referenced by operator=(), and StfVhr().

double EECFI::StfVhr::position[3]

Referenced by operator=(), and StfVhr().

string EECFI::StfVhr::ReferenceOSF

Reference Orbit Scenario file.

Referenced by operator=(), and StfVhr().

string EECFI::StfVhr::ReferenceSDF

Reference swath definition file.

Referenced by operator=(), and StfVhr().

long EECFI::StfVhr::refractionMode

Refraction model (TargetRayEnum).

Referenced by operator=(), and StfVhr().

long EECFI::StfVhr::repCycle

Referenced by operator=(), and StfVhr().

string EECFI::StfVhr::stfName

Swath template file name.

Referenced by operator=(), and StfVhr().

long EECFI::StfVhr::swathPointType

Swath point type (SwathPointTypeEnum: geodetic/inertial).

Referenced by operator=(), and StfVhr().

long EECFI::StfVhr::swathType

Swath type (SwathTypeEnum : open/close ).

Referenced by operator=(), and StfVhr().

double EECFI::StfVhr::timeStep

Referenced by operator=(), and StfVhr().

double EECFI::StfVhr::velocity[3]

Referenced by operator=(), and StfVhr().